package cn.com.qmth.sdk.test;

import org.apache.commons.io.IOUtils;

import cn.com.qmth.sdk.request.OuterUpdateExamStudentStatusReq;
import cn.com.qmth.sdk.util.HttpMethod;
import cn.com.qmth.sdk.util.JsonUtil;
import cn.com.qmth.sdk.util.OKHttpUtil;
import cn.com.qmth.sdk.util.QmthUtil;
import okhttp3.Response;

public class UpdateExamStudentStatus {

	public static void main(String[] args) {
		OuterUpdateExamStudentStatusReq reqBody = new OuterUpdateExamStudentStatusReq();
		reqBody.setRootOrgId(7L);
		reqBody.setIdentityNumber("18100901");
		reqBody.setCourseId(11l);
		reqBody.setExamId(13l);
		reqBody.setEnable(false);
		String url = QmthUtil.buildUrl("/api/exchange/outer/examStudent/updateExamStudentStatus");
		Response resp = null;
		try {
			resp = OKHttpUtil.call(HttpMethod.POST, url, QmthUtil.getSecurityHeaders(),
					JsonUtil.toJson(reqBody));
			System.out.println(resp.code());
			System.out.println(resp.body().string());
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			IOUtils.closeQuietly(resp);
		}
	}

}
